Share via


Indexers - Get Status

Returns the current status and execution history of an indexer.

GET https:///indexers('{indexerName}')/search.status?api-version=2025-11-01-preview

URI Parameters

Name In Required Type Description
indexerName
path True

string

The name of the indexer.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Header

Name Required Type Description
Accept True

Accept

The Accept header.

x-ms-client-request-id

string (uuid)

An opaque, globally-unique, client-generated string identifier for the request.

Responses

Name Type Description
200 OK

SearchIndexerStatus

The request has succeeded.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

api-key

Type: apiKey
In: header

OAuth2Auth

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/v2.0/authorize

Scopes

Name Description
https://search.azure.com/.default

Examples

SearchServiceGetIndexerStatus
SearchServiceGetS3HDUnlimitedIndexerStatus

SearchServiceGetIndexerStatus

Sample request

GET https:///indexers('myindexer')/search.status?api-version=2025-11-01-preview

Sample response

{
  "name": "myindexer",
  "status": "running",
  "runtime": {
    "usedSeconds": 0,
    "beginningTime": "2024-06-06T00:00:00.000Z",
    "endingTime": "2024-06-07T00:00:00.000Z"
  },
  "lastResult": {
    "status": "success",
    "startTime": "2014-11-26T03:37:18.853Z",
    "endTime": "2014-11-26T03:37:19.012Z",
    "itemsProcessed": 11,
    "itemsFailed": 0,
    "mode": "indexingAllDocs",
    "errors": [],
    "warnings": []
  },
  "executionHistory": [
    {
      "status": "success",
      "startTime": "2014-11-26T03:37:18.853Z",
      "endTime": "2014-11-26T03:37:19.012Z",
      "itemsProcessed": 11,
      "itemsFailed": 0,
      "mode": "indexingAllDocs",
      "errors": [],
      "warnings": []
    },
    {
      "status": "transientFailure",
      "startTime": "2014-11-26T03:28:10.125Z",
      "endTime": "2014-11-26T03:28:12.007Z",
      "itemsProcessed": 1,
      "itemsFailed": 2,
      "mode": "indexingAllDocs",
      "errors": [
        {
          "key": "",
          "statusCode": 400,
          "errorMessage": "Document key cannot be missing or empty."
        },
        {
          "key": "document id 1",
          "statusCode": 400,
          "name": "DocumentExtraction.AzureBlob.MyDataSource",
          "errorMessage": "Could not read the value of column 'foo' at index '0'.",
          "details": "The file could not be parsed.",
          "documentationLink": "https://go.microsoft.com/fwlink/?linkid=2049388"
        }
      ],
      "warnings": [
        {
          "key": "document id",
          "message": "A warning doesn't stop indexing, and is intended to inform you of certain interesting situations, like when a blob indexer truncates the amount of text extracted from a blob."
        },
        {
          "key": "document id 2",
          "name": "Enrichment.LanguageDetectionSkill.#4",
          "message": "Document was truncated to 50000 characters.",
          "details": "The skill did something that didn't break anything, nonetheless something we didn't expect happened, so it might be worth double checking.",
          "documentationLink": "https://go.microsoft.com/fwlink/?linkid=2099692"
        }
      ]
    }
  ],
  "limits": {
    "maxRunTime": "PT22H",
    "maxDocumentExtractionSize": 256000000,
    "maxDocumentContentCharactersToExtract": 4000000
  },
  "currentState": {
    "mode": "indexingAllDocs",
    "resetDocumentKeys": [],
    "resetDatasourceDocumentIds": []
  }
}

SearchServiceGetS3HDUnlimitedIndexerStatus

Sample request

GET https:///indexers('myindexer')/search.status?api-version=2025-11-01-preview

Sample response

{
  "name": "myindexer",
  "status": "running",
  "runtime": {
    "usedSeconds": 0,
    "remainingSeconds": 39600,
    "beginningTime": "2024-06-06T00:00:00.000Z",
    "endingTime": "2024-06-07T00:00:00.000Z"
  },
  "lastResult": {
    "status": "success",
    "startTime": "2014-11-26T03:37:18.853Z",
    "endTime": "2014-11-26T03:37:19.012Z",
    "itemsProcessed": 11,
    "itemsFailed": 0,
    "mode": "indexingAllDocs",
    "errors": [],
    "warnings": []
  },
  "executionHistory": [
    {
      "status": "success",
      "startTime": "2014-11-26T03:37:18.853Z",
      "endTime": "2014-11-26T03:37:19.012Z",
      "itemsProcessed": 11,
      "itemsFailed": 0,
      "mode": "indexingAllDocs",
      "errors": [],
      "warnings": []
    },
    {
      "status": "transientFailure",
      "startTime": "2014-11-26T03:28:10.125Z",
      "endTime": "2014-11-26T03:28:12.007Z",
      "itemsProcessed": 1,
      "itemsFailed": 2,
      "mode": "indexingAllDocs",
      "errors": [
        {
          "key": "",
          "statusCode": 400,
          "errorMessage": "Document key cannot be missing or empty."
        },
        {
          "key": "document id 1",
          "statusCode": 400,
          "name": "DocumentExtraction.AzureBlob.MyDataSource",
          "errorMessage": "Could not read the value of column 'foo' at index '0'.",
          "details": "The file could not be parsed.",
          "documentationLink": "https://go.microsoft.com/fwlink/?linkid=2049388"
        }
      ],
      "warnings": [
        {
          "key": "document id",
          "message": "A warning doesn't stop indexing, and is intended to inform you of certain interesting situations, like when a blob indexer truncates the amount of text extracted from a blob."
        },
        {
          "key": "document id 2",
          "name": "Enrichment.LanguageDetectionSkill.#4",
          "message": "Document was truncated to 50000 characters.",
          "details": "The skill did something that didn't break anything, nonetheless something we didn't expect happened, so it might be worth double checking.",
          "documentationLink": "https://go.microsoft.com/fwlink/?linkid=2099692"
        }
      ]
    }
  ],
  "limits": {
    "maxRunTime": "PT22H",
    "maxDocumentExtractionSize": 256000000,
    "maxDocumentContentCharactersToExtract": 4000000
  },
  "currentState": {
    "mode": "indexingAllDocs",
    "resetDocumentKeys": [],
    "resetDatasourceDocumentIds": []
  }
}

Definitions

Name Description
Accept

The Accept header.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).

IndexerCurrentState

Represents all of the state that defines and dictates the indexer's current execution.

IndexerExecutionResult

Represents the result of an individual indexer execution.

IndexerExecutionStatus

Represents the status of an individual indexer execution.

IndexerExecutionStatusDetail

Details the status of an individual indexer execution.

IndexerRuntime

Represents the indexer's cumulative runtime consumption in the service.

IndexerStatus

Represents the overall indexer status.

IndexingMode

Represents the mode the indexer is executing in.

SearchIndexerError

Represents an item- or document-level indexing error.

SearchIndexerLimits

Represents the limits that can be applied to an indexer.

SearchIndexerStatus

Represents the current status and execution history of an indexer.

SearchIndexerWarning

Represents an item-level warning.

Accept

The Accept header.

Value Description
application/json;odata.metadata=minimal

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).

Name Type Description
error

ErrorDetail

The error object.

IndexerCurrentState

Represents all of the state that defines and dictates the indexer's current execution.

Name Type Description
allDocsFinalTrackingState

string

Change tracking state value when indexing finishes on all documents in the datasource.

allDocsInitialTrackingState

string

Change tracking state used when indexing starts on all documents in the datasource.

mode

IndexingMode

The mode the indexer is running in.

resetDatasourceDocumentIds

string[]

The list of datasource document ids that have been reset. The datasource document id is the unique identifier for the data in the datasource. The indexer will prioritize selectively re-ingesting these ids.

resetDocsFinalTrackingState

string

Change tracking state value when indexing finishes on select, reset documents in the datasource.

resetDocsInitialTrackingState

string

Change tracking state used when indexing starts on select, reset documents in the datasource.

resetDocumentKeys

string[]

The list of document keys that have been reset. The document key is the document's unique identifier for the data in the search index. The indexer will prioritize selectively re-ingesting these keys.

resyncFinalTrackingState

string

Change tracking state value when indexing finishes on selective options from the datasource.

resyncInitialTrackingState

string

Change tracking state used when indexing starts on selective options from the datasource.

IndexerExecutionResult

Represents the result of an individual indexer execution.

Name Type Description
endTime

string (date-time)

The end time of this indexer execution, if the execution has already completed.

errorMessage

string

The error message indicating the top-level error, if any.

errors

SearchIndexerError[]

The item-level indexing errors.

finalTrackingState

string

Change tracking state with which an indexer execution finished.

initialTrackingState

string

Change tracking state with which an indexer execution started.

itemsFailed

integer (int32)

The number of items that failed to be indexed during this indexer execution.

itemsProcessed

integer (int32)

The number of items that were processed during this indexer execution. This includes both successfully processed items and items where indexing was attempted but failed.

mode

IndexingMode

The mode the indexer is running in.

startTime

string (date-time)

The start time of this indexer execution.

status

IndexerExecutionStatus

The outcome of this indexer execution.

statusDetail

IndexerExecutionStatusDetail

The outcome of this indexer execution.

warnings

SearchIndexerWarning[]

The item-level indexing warnings.

IndexerExecutionStatus

Represents the status of an individual indexer execution.

Value Description
transientFailure

An indexer invocation has failed, but the failure may be transient. Indexer invocations will continue per schedule.

success

Indexer execution completed successfully.

inProgress

Indexer execution is in progress.

reset

Indexer has been reset.

IndexerExecutionStatusDetail

Details the status of an individual indexer execution.

Value Description
resetDocs

Indicates that the reset that occurred was for a call to ResetDocs.

resync

Indicates to selectively resync based on option(s) from data source.

IndexerRuntime

Represents the indexer's cumulative runtime consumption in the service.

Name Type Description
beginningTime

string (date-time)

Beginning UTC time of the 24-hour period considered for indexer runtime usage (inclusive).

endingTime

string (date-time)

End UTC time of the 24-hour period considered for indexer runtime usage (inclusive).

remainingSeconds

integer (int64)

Cumulative runtime remaining for all indexers in the service from the beginningTime to endingTime, in seconds.

usedSeconds

integer (int64)

Cumulative runtime of the indexer from the beginningTime to endingTime, in seconds.

IndexerStatus

Represents the overall indexer status.

Value Description
unknown

Indicates that the indexer is in an unknown state.

error

Indicates that the indexer experienced an error that cannot be corrected without human intervention.

running

Indicates that the indexer is running normally.

IndexingMode

Represents the mode the indexer is executing in.

Value Description
indexingAllDocs

The indexer is indexing all documents in the datasource.

indexingResetDocs

The indexer is indexing selective, reset documents in the datasource. The documents being indexed are defined on indexer status.

indexingResync

The indexer is resyncing and indexing selective option(s) from the datasource.

SearchIndexerError

Represents an item- or document-level indexing error.

Name Type Description
details

string

Additional, verbose details about the error to assist in debugging the indexer. This may not be always available.

documentationLink

string

A link to a troubleshooting guide for these classes of errors. This may not be always available.

errorMessage

string

The message describing the error that occurred while processing the item.

key

string

The key of the item for which indexing failed.

name

string

The name of the source at which the error originated. For example, this could refer to a particular skill in the attached skillset. This may not be always available.

statusCode

integer (int32)

The status code indicating why the indexing operation failed. Possible values include: 400 for a malformed input document, 404 for document not found, 409 for a version conflict, 422 when the index is temporarily unavailable, or 503 for when the service is too busy.

SearchIndexerLimits

Represents the limits that can be applied to an indexer.

Name Type Description
maxDocumentContentCharactersToExtract

integer (int64)

The maximum number of characters that will be extracted from a document picked up for indexing.

maxDocumentExtractionSize

integer (int64)

The maximum size of a document, in bytes, which will be considered valid for indexing.

maxRunTime

string (duration)

The maximum duration that the indexer is permitted to run for one execution.

SearchIndexerStatus

Represents the current status and execution history of an indexer.

Name Type Description
currentState

IndexerCurrentState

All of the state that defines and dictates the indexer's current execution.

executionHistory

IndexerExecutionResult[]

History of the recent indexer executions, sorted in reverse chronological order.

lastResult

IndexerExecutionResult

The result of the most recent or an in-progress indexer execution.

limits

SearchIndexerLimits

The execution limits for the indexer.

name

string

The name of the indexer.

runtime

IndexerRuntime

Snapshot of the indexer's cumulative runtime consumption for the service over the current UTC period.

status

IndexerStatus

Overall indexer status.

SearchIndexerWarning

Represents an item-level warning.

Name Type Description
details

string

Additional, verbose details about the warning to assist in debugging the indexer. This may not be always available.

documentationLink

string

A link to a troubleshooting guide for these classes of warnings. This may not be always available.

key

string

The key of the item which generated a warning.

message

string

The message describing the warning that occurred while processing the item.

name

string

The name of the source at which the warning originated. For example, this could refer to a particular skill in the attached skillset. This may not be always available.